## com.fasterxml.jackson.databind.ser
Interface BeanPropertyFilter

All Known Implementing Classes:
  SimpleBeanPropertyFilter, SimpleBeanPropertyFilter.FilterExceptFilter, SimpleBeanPropertyFilter.SerializeExceptFilter

    public interface BeanPropertyFilter

Interface that defines API for filter objects use (as configured using `JsonFilter`) for filtering bean properties to serialize.

Method Summary
`void` `serializeAsField(Object bean, JsonGenerator jgen, SerializerProvider prov, BeanPropertyWriter writer)` Method called by `BeanSerializer` to let filter decide what to do with given bean property value: the usual choices are to either filter out (i.e.

Method Detail

### serializeAsField

    void serializeAsField(Object bean,
                          JsonGenerator jgen,
                          SerializerProvider prov,
                          BeanPropertyWriter writer)
                          throws Exception

  Method called by `BeanSerializer` to let filter decide what to do with given bean property value: the usual choices are to either filter out (i.e. do nothing) or write using given `BeanPropertyWriter`, although filters can choose other to do something different altogether.

  Parameters:
    `bean` - Bean of which property value to serialize
    `jgen` - Generator use for serializing value
    `prov` - Provider that can be used for accessing dynamic aspects of serialization processing
    `writer` - Default bean property serializer to use
  Throws:
    `Exception`

Copyright © 2012 fasterxml.com. All Rights Reserved.